﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Runtime.CompilerServices;
using System.Text;
using System.Threading.Tasks;

namespace XDGExpandableCells
{
    public class ViewModel2
    {
        public ObservableCollection<SampleData2> Data { get; set; }

        public ViewModel2()
        {
            Data = new ObservableCollection<SampleData2>();


            for (int i = 0; i < 15; i++)
            {
                SampleData2 sd = new SampleData2() { Field12 = i + 10, Field22 = i };

                Data.Add(sd);
            }
        }
    }

    public class ViewModel
    {
        public static ObservableCollection<SampleData> Data { get; set; }
        public static List<string> ComboList { get; set; }

        public ViewModel()
        {
            Data = new ObservableCollection<SampleData>();

            ComboList = new List<string> { "String1", "String2", "String3", "String4", "String5" };

            for (int i = 0; i < ComboList.Count(); i++)
            {
                SampleData sd = new SampleData() { Field1 = i + 1, ItemFromList = ComboList[i] };

                Data.Add(sd);
            }
        }
    }

    public class SampleData : ObservableModel
    {
        public int Field1 { get; set; }
        private string _itemFromList;

        public string ItemFromList
        {
            get { return _itemFromList; }
            set
            {
                _itemFromList = value;
                NotifyPropertyChanged();
            }
        }
    }


    public class SampleData2 : ObservableModel
    {
        public int Field12 { get; set; }
        public int Field22 { get; set; }

    }

    public class ObservableModel : INotifyPropertyChanged
    {
        public event PropertyChangedEventHandler PropertyChanged;
        public void NotifyPropertyChanged([CallerMemberName] String propertyName = "")
        {
            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(propertyName));
        }
    }
}
